{% extends "ajax/ajax.html.twig" %}

{% from "ajax/admin/widget/controls.twig" import widget_picto_creator as picto_creator, widget_picto_creator_js as picto_creator_js, widget_feature_creator as feature_creator, widget_feature_creator_js as feature_creator_js, widget_title_creator as title_creator, widget_title_creator_js as title_creator_js %}

{% block title %}{% trans from 'admin' %}Auszeichnungen{% endtrans %} - {{ user.name }}{%  endblock %}
{% block ajax %}
    <div class="row soul">
        <div class="cell padded header rw-12">
            {% embed "ajax/admin/users/tabs.html.twig" %}{% endembed %}
            <div class="row">

                <div class="padded cell rw-5 rw-sm-12 center">
                    <ul class="tabs plain" x-tab-group="picto-listing" x-tab-control x-tab-default="native">
                        <li class="tab" x-tab-id="native"><div class="tab-link">{% trans from 'admin' %}Seele{% endtrans %}</div></li>
                        <li class="tab" x-tab-id="cumulative"><div class="tab-link">{% trans from 'admin' %}Alle{% endtrans %}</div></li>
                        <li class="tab" x-tab-id="mh"><div class="tab-link">{% trans from 'admin' %}MyHordes{% endtrans %}</div></li>
                        <li class="tab" x-tab-id="import"><div class="tab-link">{% trans from 'admin' %}Importiert{% endtrans %}</div></li>
                        <li class="tab" x-tab-id="old"><div class="tab-link">{% trans from 'admin' %}Alt{% endtrans %}</div></li>
                    </ul>
                    <div x-tab-group="picto-listing" x-tab-id="native" x-tab-target>
                        {% include 'ajax/soul/distinctions.html.twig' with {pictos: pictos, user: user} %}
                    </div>
                    <div x-tab-group="picto-listing" x-tab-id="cumulative" x-tab-target>
                        {% include 'ajax/soul/distinctions.html.twig' with {pictos: pictos_all, user: user, plain: true} %}
                    </div>
                    <div x-tab-group="picto-listing" x-tab-id="mh" x-tab-target>
                        {% include 'ajax/soul/distinctions.html.twig' with {pictos: pictos_mh, user: user, plain: true} %}
                    </div>
                    <div x-tab-group="picto-listing" x-tab-id="import" x-tab-target>
                        {% include 'ajax/soul/distinctions.html.twig' with {pictos: pictos_im, user: user, plain: true} %}
                    </div>
                    <div x-tab-group="picto-listing" x-tab-id="old" x-tab-target>
                        {% include 'ajax/soul/distinctions.html.twig' with {pictos: pictos_old, user: user, plain: true} %}
                    </div>
                </div>
                <div class="cell rw-5 rw-lg-7 rw-sm-12">
                    {% if is_granted("ROLE_CROW") %}
                        {{ picto_creator(pictoPrototypes) }}
                    {% endif %}
                    {% if is_granted("ROLE_ADMIN") %}
                        {{ title_creator(user.awards) }}
                    {% endif %}
                    <ul class="inventory soul">
                        <li class="title">{{ 'Spiritueller Rucksack'|trans({},'game') }}</li>
                        {% for feature in features %}
                            <li class="item">
                                <span class="item-icon"><img alt="" src="{{ asset('build/images/pictos/' ~ feature.prototype.icon ~ '.gif') }}" /></span>
                                <div class="tooltip normal">
                                    <h1>{{ feature.prototype.label|trans({},'items') }} <img alt="" src="{{ asset('build/images/pictos/' ~ feature.prototype.icon ~ '.gif') }}" /></h1>
                                    {{ feature.prototype.description|trans({},'items') }}
                                    <hr>
                                    <span class="small">
                                        {{ 'Freigeschaltet:'|trans({},'game') }}
                                        <b>
                                            {% if (feature.expirationMode == constant('App\\Entity\\FeatureUnlock::FeatureExpirationNone')) %}{{ 'Dauerhaft!'|trans({},'game') }}
                                            {% elseif (feature.expirationMode == constant('App\\Entity\\FeatureUnlock::FeatureExpirationSeason')) %}{{ 'Für diese Saison'|trans({},'game') }}
                                            {% elseif (feature.expirationMode == constant('App\\Entity\\FeatureUnlock::FeatureExpirationTimestamp')) %}{{ 'Bis {date}'|trans({'{date}': feature.timestamp|format_datetime('short', 'none')},'game') }}
                                            {% elseif (feature.expirationMode == constant('App\\Entity\\FeatureUnlock::FeatureExpirationTownCount')) %}{{ 'Für {num} weitere Städte'|trans({'{num}': feature.townCount},'game') }}
                                            {% else  %}???{% endif %}
                                        </b>

                                    </span>
                                </div>
                            </li>
                        {% endfor %}
                    </ul>
                    {% if is_granted("ROLE_ADMIN") %}
                        {{ feature_creator(featurePrototypes) }}
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
    {% embed "ajax/admin/users/footer.html.twig" %}{% endembed %}
{% endblock %}
{% block js %}
    {{ parent() }}
    {% if is_granted("ROLE_CROW") %}
        {{ picto_creator_js(path('admin_user_give_picto', {id: user.id}), path('admin_users_pictos_view', {id: user.id})) }}
    {% endif %}
    {% if is_granted("ROLE_ADMIN") %}
        {{ title_creator_js(icon_max_size, path('admin_user_manage_unique_award', {id: user.id}), path('admin_users_pictos_view', {id: user.id})) }}
        {{ feature_creator_js(path('admin_user_give_feature', {id: user.id}), path('admin_users_pictos_view', {id: user.id})) }}
    {% endif %}
{% endblock %}